
local Gallows = ...


Gallows:register({

	DataType = "BUILDING",

	Id = "GALLOWS_01",

	Name = "GALLOWS_NAME",

	Description = "GALLOWS_DESC",

	BuildingType = "DECORATION",

	BuildingPartList = { "GALLOWS_PART" }

})

Gallows:register({

	DataType = "BUILDING_PART",

	Id = "GALLOWS_PART",
	Description = "GALLOWS_DESC",

	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GALLOWS"
	},

	ConstructionVisual = "PREFAB_GALLOWS_CONSTRUCTION",

	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 5 },
			{ Resource = "PLANK", Quantity = 10 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "EXECUTIONER", Behavior = "WORK_BEHAVIOR" }
	}

})

-- Override building part components properties (generated by the building asset processor) to add building zones

Gallows:registerPrefabComponent("models/Gallows.fbx/Prefab/gallowsPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 4, 3 }
})

-- Register flag assigner component on the collider's type to 'PLATFORM'

Gallows:configurePrefabFlagList("models/Gallows.fbx/Prefab/gallowsPart", { "PLATFORM" })



